
%define aprver 1

Summary: Apache Portable Runtime library
Name: apr
Version: 1.3.9
Release: 1
License: Apache Software License 2.0
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: autoconf, libtool,  python

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines, forming a system
portability layer to as many operating systems as possible,
including Unices, MS Win32, BeOS and OS/2.

%package devel
Group: Development/Libraries
Summary: APR library development kit
Requires: apr = %{version}

%description devel
This package provides the support files which can be used to 
build applications using the APR library.  The mission of the
Apache Portable Runtime (APR) is to provide a free library of 
C data structures and routines.

%prep
%setup -q

%build
export LDFLAGS=-L/opt/freeware/lib

CFLAGS="-O2 " \
CXXFLAGS="-O2 " \
LIBCFLAGS="-O2 " \
./configure --prefix=%{_prefix}

make
cd .libs
mv libapr-1.a libapr-1.3.9.a 
/usr/bin/ar -qv libapr-1.a libapr-1.so.0.3.9

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Move docs to more convenient location

# Unpackaged files:
rm -f $RPM_BUILD_ROOT%{_libdir}/apr.exp
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

cd ${RPM_BUILD_ROOT}
for dir in bin lib
do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,system,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libapr-%{aprver}.a
/usr/lib/libapr-%{aprver}.a

%files devel
%defattr(-,root,system,-)
%doc CHANGES LICENSE NOTICE
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%{_bindir}/apr*config
%{_libdir}/libapr-%{aprver}.*a
%{_libdir}/libapr-%{aprver}.so
%dir %{_prefix}/build-%{aprver}
%{_prefix}/build-%{aprver}/*.mk
%{_prefix}/build-%{aprver}/*.sh
%{_prefix}/build-%{aprver}/*.awk
%{_prefix}/build-%{aprver}/libtool
%dir %{_includedir}/apr-%{aprver}
%{_includedir}/apr-%{aprver}/*.h

%changelog
* Wed Jan 20 2010 Jean Noel Cordenner <jean-noel.cordenner@bull.net> 1.3.9
- Update to version 1.3.9

* Fri Jul 31 2009 BULL 1.3.7
- Fisrt port for AIX
